Page MenuHomePhabricator

NumberInputWidget doesn't have explicit label
Closed, ResolvedPublic

Description

As of v0.17.9 NumberInputWidget doesn't have an explicit label which has a severe negative impact for assistive technology users.

Proposal:

  • Make NumberInputWidget buttons aria-disabled=true by default (input alone should be sufficient for AT users)
  • Change oo-ui-labelElement-label to be a <label> element and either add a for attribute or make it a parent element that spans the whole NumberInputWidget

Event Timeline

Restricted Application added a project: UI-Standardization. · View Herald TranscriptOct 31 2016, 11:41 PM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript

Same approach as T148946 should also work here.

Volker_E triaged this task as Normal priority.Dec 15 2016, 6:11 PM

We might want to hold this until T124856: NumberInputWidget is not actually an InputWidget, if we don't want a semi-hacky solution.

Volker_E moved this task from Unsorted to OOUI on the UI-Standardization board.Feb 14 2017, 3:54 AM
Volker_E moved this task from Backlog to Next-up on the OOUI board.Feb 28 2017, 9:58 PM

Change 349125 had a related patch set uploaded (by VolkerE; owner: Mooeypoo):
[oojs/ui@master] NumberInputWidget: Remake as an actual TextInputWidget child

https://gerrit.wikimedia.org/r/349125

Volker_E moved this task from Next-up to Reviewing on the OOUI board.Apr 20 2017, 2:10 AM

Change 349125 merged by jenkins-bot:
[oojs/ui@master] NumberInputWidget: Remake as an actual TextInputWidget child

https://gerrit.wikimedia.org/r/349125

Volker_E closed this task as Resolved.Apr 24 2017, 9:34 PM
Volker_E assigned this task to Mooeypoo.
Volker_E moved this task from Reviewing to OOjs-UI-0.21.2 on the OOUI board.
Volker_E edited projects, added OOUI (OOjs-UI-0.21.2); removed OOUI.
Volker_E removed a project: Patch-For-Review.
Volker_E added a subscriber: TheDJ.
Volker_E raised the priority of this task from Normal to Needs Triage.Aug 15 2017, 9:54 PM
Volker_E moved this task from Backlog to Done on the UI-Standardization-Kanban board.
Volker_E triaged this task as Normal priority.Aug 16 2017, 6:16 PM

Resetting priority (drag & drop malfunction on “sort by priority” board).